@tool
extends Resource
class_name AnimationSelectCfg

@export var sprite_frames : SpriteFrames :
	set(value):
		sprite_frames = value
		notify_property_list_changed()
		
var animation_name : String

func _get_property_list():
	var hint_string = ["none"]
	if sprite_frames:
		hint_string = ",".join(sprite_frames.get_animation_names())
	
	var properties = []
	properties.append({
		"name": "animation_name",
		"type": TYPE_STRING,
		"usage": PROPERTY_USAGE_DEFAULT,
		"hint": PROPERTY_HINT_ENUM,
		"hint_string": hint_string
	})

	return properties
